Bug 491042 - [EASYFIX] ibus default trigger hotkeys
[EASYFIX] ibus default trigger hotkeys
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker 481098
  Show dependency treegraph
 
Reported: 2009-03-18 23:50 EDT by Warren Togami
Modified: 2009-04-07 02:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 02:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-03-18 23:50:03 EDT
It seems we already have 半角/全角 as a global hotkey activator, but we should add ALT-` as another global hotkey activator in the medium-term.  ALT-` is the expected way to activate Japanese IM on a non-Japanese keyboard.  ALT-半角/全角 should also be added since it is in the same position and users use it even though ALT is not necessary.

During user testing, the user held down 無変換 and pressed 半角/全角, and was surprised that it did not activate like it does on Windows.  It is unclear if 無変換 is meant to be a modifier like ALT, but in any case 半角/全角 should have worked in this case while it did nothing with ibus.

In summary, the following hotkeys should be activators by default:
* 半角/全角
* ALT-`
* ALT-半角/全角
* 無変換 + 半角/全角

These hotkeys should not conflict with anything (except for an unimportant emacs binding that uses ALT-`).
Comment 2 Jens Petersen 2009-03-30 05:50:42 EDT
Yep thanks Warren - this is important we should support Hankaku_Zenkaku, Kanji (Alt+Hankaku_Zenkaku), and Alt-`.
Comment 3 Jens Petersen 2009-04-01 05:01:19 EDT
I see Hankaku_Zenkaku in ibus-1.1.0.20090331-1.fc11, but we certainly needed M-` too for people using ja without a jp keyboard.
Comment 4 Warren Togami 2009-04-02 18:25:38 EDT
Complete list of global trigger hotkeys for Fedora 11.

Ctrl+space
Zenkaku_Hankaku
Alt+Zenkaku_Hankaku
Alt+grave
Hangul
Comment 5 Peng Huang 2009-04-05 03:14:14 EDT
I have two questions.
1, Zenkaku_Hankaku and Alt + Zenkaku_Hankaku is same? Why use two trigger for ja. And both have Zenkaku_Hankaku?
2. Alt + grave is ja or ko trigger?
Comment 6 Warren Togami 2009-04-05 11:50:36 EDT
1. Probably for historic reasons both hotkeys do the same thing on Windows.  Currently only Zenkaku_Hankaku works with ibus.
2. Alt+Grave is ja trigger on US keyboard.
Comment 7 Warren Togami 2009-04-06 18:11:22 EDT
Tagoh had a question about Zenkaku_Hankaku alone as a trigger, as it seems to not work on Windows.  Testing has confirmed this is only partially true.

US keyboard with US layout:
` button is keycode 49 (keysym 0x60, grave)
JP keyboard with US layout:
` button is keycode 49 (keysym 0x60, grave)
JP keyboard with JP layout:
半角/全角 button is keycode 49 (keysym 0xff2a, Zenkaku_Hankaku)

Windows seems to unreliably switch the keyboard layout to Japanese during runtime, thus it seems that 半角/全角 alone does not always work.  For this reason both Alt-grave and Alt-半角/全角 are expected to work.

This confirms this list of hotkeys should be default triggers in Fedora 11.  This is NOT IDEAL but a usable compromise to ship until we can implement the ideal interface after Fedora 11.

Ctrl+space
Zenkaku_Hankaku
Alt+Zenkaku_Hankaku
Alt+grave
Hangul
Comment 8 Peng Huang 2009-04-07 02:53:42 EDT
Fixed in ibus-1.1.0.20090407-2.fc11.

Note You need to log in before you can comment on or make changes to this bug.